Skip to end of metadata
Go to start of metadata

QuickBooks Connector OAuth 2.0

WARNING: All existing QuickBooks users are required to migrate to OAuth 2.0 authentication by December 17, 2019. See the Intuit Developer Blog Post April 10, 2019 and the Intuit OAuth Blog for additional information.

Overview

NOTE: QuickBooks Connector OAuth 2.0 is supported on a Harmony Private Agent Group. The connector is not supported on Jitterbit Harmony Cloud Agent Groups.

The Jitterbit QuickBooks Connector makes it fast and easy to connect QuickBooks to all the other systems that run your business, so you can automate financial processes, gain complete visibility into your data and begin to analyze new data insights about your organization. 

An active QuickBooks Online subscription is required. Note that the QuickBooks Desktop version is not supported. 

On July 17, 2017, Intuit announced the general availability of OAuth 2.0 and OpenID Connect for new developers on the QuickBooks Online platform. All existing QuickBooks users are required to migrate to OAuth 2.0 authentication by December 17, 2019. See the Intuit Developer Blog Post April 10, 2019 and the Intuit OAuth Blog for additional information.

  • I am New to QuickBooks: All QuickBooks accounts created after July 17, 2017 will be required to use OAuth 2.0 authentication to connect the Jitterbit Harmony QuickBooks Connector with your QuickBooks Online account.  Go to QuickBooks Connector OAuth 2.0 - Prerequisites..
  • I use an existing QuickBooks account: If you have an existing QuickBooks Online production account that is currently being used to record your day-to-day financial activities, you may be using OAuth 1.0a authentication.  Determine which of the following applies to your QuickBooks account:
    • If your QuickBooks account was active prior to July 17, 2017but you never created an app associated to this account, your account is required to use OAuth 2.0 authentication. Go to QuickBooks Connector OAuth 2.0 - Prerequisites.
    • If your QuickBooks account was active prior to July 17, 2017, and apps were developed prior to July 17, 2017, your account was previously required to use OAuth 1.0a authentication. 

      • Verify with your QuickBooks developer or administrator that an app(s) does exist for your account and was developed prior to July 17, 2017. 

      • All existing QuickBooks users are required to migrate to OAuth 2.0 authentication by December 17, 2019. See the Intuit Developer Blog Post April 10, 2019 and the Intuit OAuth Blog for additional information. 

      • If your QuickBooks account has already migrated to OAuth 2.0 authentication, go to QuickBooks OAuth 2.0 Sandbox Account and continue setting up the QuickBooks Connector with OAuth 2.0 authentication.